package com.dcit.authority.shiro.token;

import org.apache.shiro.authc.AuthenticationToken;

/**
* <p>Title: PasswordToken</p>
* <p>Description: </p>
* <p>Company: SJZ DC-IT co. LTD</p> 
* @author ZZZ
* @date 2018年9月6日 下午5:39:45
*/
public class PasswordToken implements AuthenticationToken {
	private static final long serialVersionUID = 1L;
    private String account;
    private String password;
    private String timestamp;
    private String host;

    public PasswordToken(String account, String password, String timestamp, String host) {
        this.account = account;
        this.timestamp = timestamp;
        this.host = host;
        this.password = password;

    }
    public void setPassword(String password) {
        this.password = password;
    }
    public String getPassword() {
        return this.password;
    }

    @Override
    public Object getPrincipal() {
        return this.account;
    }

    @Override
    public Object getCredentials() {
        return this.password;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

}
